tests/testMultiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1950228 kB, VmSize: 1950228 kB, VmRSS: 316028 kB, VmData: 402180 kB, Mmaps: 1735, Mmaps: 1950228 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1951524 kB, VmSize: 1951268 kB, VmRSS: 317244 kB, VmData: 403220 kB, Mmaps: 1736, Mmaps: 1951268 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1951524 kB, VmSize: 1951028 kB, VmRSS: 317212 kB, VmData: 403220 kB, Mmaps: 1722, Mmaps: 1951028 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0010800000000000
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+43/meas_extensions_astrometryNet-master-g43362ee2f3+43/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.36; loadPixelBoxStartUserTime=1.969815; loadPixelBoxStartSystemTime=0.404141; loadPixelBoxStartMaxResidentSetSize=317540; loadPixelBoxStartMinorPageFaults=88512; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=48; loadPixelBoxStartVoluntaryContextSwitches=41; loadPixelBoxStartInvoluntaryContextSwitches=162373
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.37; loadSkyCircleStartUserTime=1.970735; loadSkyCircleStartSystemTime=0.404141; loadSkyCircleStartMaxResidentSetSize=317540; loadSkyCircleStartMinorPageFaults=88522; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=56; loadSkyCircleStartVoluntaryContextSwitches=41; loadSkyCircleStartInvoluntaryContextSwitches=162373
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.37; _readIndexFilesStartUserTime=1.9711789999999998; _readIndexFilesStartSystemTime=0.40421599999999996; _readIndexFilesStartMaxResidentSetSize=317540; _readIndexFilesStartMinorPageFaults=88522; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=56; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162373
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.37; _readIndexFilesEndUserTime=1.971603; _readIndexFilesEndSystemTime=0.40421599999999996; _readIndexFilesEndMaxResidentSetSize=317540; _readIndexFilesEndMinorPageFaults=88524; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=56; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162373
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.37; loadSkyCircleEndUserTime=1.9757259999999999; loadSkyCircleEndSystemTime=0.40421599999999996; loadSkyCircleEndMaxResidentSetSize=317540; loadSkyCircleEndMinorPageFaults=88792; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=56; loadSkyCircleEndVoluntaryContextSwitches=41; loadSkyCircleEndInvoluntaryContextSwitches=162373
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.39; loadPixelBoxEndUserTime=1.991663; loadPixelBoxEndSystemTime=0.40421599999999996; loadPixelBoxEndMaxResidentSetSize=317540; loadPixelBoxEndMinorPageFaults=88823; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=56; loadPixelBoxEndVoluntaryContextSwitches=41; loadPixelBoxEndInvoluntaryContextSwitches=162373
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+43/meas_extensions_astrometryNet-master-g43362ee2f3+43/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+43/meas_extensions_astrometryNet-master-g43362ee2f3+43/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/27809/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/27809/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.8; _readIndexFilesStartUserTime=2.393839; _readIndexFilesStartSystemTime=0.410286; _readIndexFilesStartMaxResidentSetSize=319968; _readIndexFilesStartMinorPageFaults=90367; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=64; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162374
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.8; _readIndexFilesEndUserTime=2.398506; _readIndexFilesEndSystemTime=0.410286; _readIndexFilesEndMaxResidentSetSize=319980; _readIndexFilesEndMinorPageFaults=90375; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=64; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162374
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1953432 kB, VmSize: 1953432 kB, VmRSS: 319980 kB, VmData: 405252 kB, Mmaps: 1741, Mmaps: 1953432 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1953688 kB, VmSize: 1953432 kB, VmRSS: 320028 kB, VmData: 405252 kB, Mmaps: 1740, Mmaps: 1953432 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1953688 kB, VmSize: 1953316 kB, VmRSS: 320268 kB, VmData: 405508 kB, Mmaps: 1722, Mmaps: 1953316 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072499999999964
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+43/meas_extensions_astrometryNet-master-g43362ee2f3+43/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.83; loadPixelBoxStartUserTime=2.422123; loadPixelBoxStartSystemTime=0.417189; loadPixelBoxStartMaxResidentSetSize=320380; loadPixelBoxStartMinorPageFaults=90591; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=72; loadPixelBoxStartVoluntaryContextSwitches=41; loadPixelBoxStartInvoluntaryContextSwitches=162374
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.83; loadSkyCircleStartUserTime=2.422123; loadSkyCircleStartSystemTime=0.417189; loadSkyCircleStartMaxResidentSetSize=320380; loadSkyCircleStartMinorPageFaults=90591; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=72; loadSkyCircleStartVoluntaryContextSwitches=41; loadSkyCircleStartInvoluntaryContextSwitches=162374
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.83; _readIndexFilesStartUserTime=2.422123; _readIndexFilesStartSystemTime=0.417315; _readIndexFilesStartMaxResidentSetSize=320380; _readIndexFilesStartMinorPageFaults=90591; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=72; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162374
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.83; _readIndexFilesEndUserTime=2.422357; _readIndexFilesEndSystemTime=0.417315; _readIndexFilesEndMaxResidentSetSize=320380; _readIndexFilesEndMinorPageFaults=90591; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=80; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162374
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.83; loadSkyCircleEndUserTime=2.426543; loadSkyCircleEndSystemTime=0.417315; loadSkyCircleEndMaxResidentSetSize=320380; loadSkyCircleEndMinorPageFaults=90824; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=80; loadSkyCircleEndVoluntaryContextSwitches=41; loadSkyCircleEndInvoluntaryContextSwitches=162374
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.84; loadPixelBoxEndUserTime=2.432422; loadPixelBoxEndSystemTime=0.417315; loadPixelBoxEndMaxResidentSetSize=320380; loadPixelBoxEndMinorPageFaults=90824; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=80; loadPixelBoxEndVoluntaryContextSwitches=41; loadPixelBoxEndInvoluntaryContextSwitches=162374
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.22; _readIndexFilesStartUserTime=2.8032779999999997; _readIndexFilesStartSystemTime=0.42428499999999997; _readIndexFilesStartMaxResidentSetSize=323404; _readIndexFilesStartMinorPageFaults=92211; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=80; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162376
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.22; _readIndexFilesEndUserTime=2.806769; _readIndexFilesEndSystemTime=0.42435999999999996; _readIndexFilesEndMaxResidentSetSize=323412; _readIndexFilesEndMinorPageFaults=92217; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=80; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162376
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956500 kB, VmSize: 1956500 kB, VmRSS: 323412 kB, VmData: 408444 kB, Mmaps: 1735, Mmaps: 1956500 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956756 kB, VmSize: 1956756 kB, VmRSS: 323416 kB, VmData: 408700 kB, Mmaps: 1735, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956756 kB, VmSize: 1956508 kB, VmRSS: 323660 kB, VmData: 408700 kB, Mmaps: 1722, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00068199999999941
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+43/meas_extensions_astrometryNet-master-g43362ee2f3+43/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.25; loadPixelBoxStartUserTime=2.829294; loadPixelBoxStartSystemTime=0.431282; loadPixelBoxStartMaxResidentSetSize=323764; loadPixelBoxStartMinorPageFaults=92307; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=88; loadPixelBoxStartVoluntaryContextSwitches=41; loadPixelBoxStartInvoluntaryContextSwitches=162376
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.25; loadSkyCircleStartUserTime=2.8297939999999997; loadSkyCircleStartSystemTime=0.43135799999999996; loadSkyCircleStartMaxResidentSetSize=323764; loadSkyCircleStartMinorPageFaults=92307; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=96; loadSkyCircleStartVoluntaryContextSwitches=41; loadSkyCircleStartInvoluntaryContextSwitches=162376
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.26; _readIndexFilesStartUserTime=2.8302329999999998; _readIndexFilesStartSystemTime=0.43135799999999996; _readIndexFilesStartMaxResidentSetSize=323764; _readIndexFilesStartMinorPageFaults=92307; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=96; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162376
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.26; _readIndexFilesEndUserTime=2.830395; _readIndexFilesEndSystemTime=0.43135799999999996; _readIndexFilesEndMaxResidentSetSize=323764; _readIndexFilesEndMinorPageFaults=92307; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=96; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162376
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.26; loadSkyCircleEndUserTime=2.832291; loadSkyCircleEndSystemTime=0.43228099999999997; loadSkyCircleEndMaxResidentSetSize=323764; loadSkyCircleEndMinorPageFaults=92512; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=96; loadSkyCircleEndVoluntaryContextSwitches=41; loadSkyCircleEndInvoluntaryContextSwitches=162376
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.26; loadPixelBoxEndUserTime=2.8379820000000002; loadPixelBoxEndSystemTime=0.43238699999999997; loadPixelBoxEndMaxResidentSetSize=323764; loadPixelBoxEndMinorPageFaults=92512; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=96; loadPixelBoxEndVoluntaryContextSwitches=41; loadPixelBoxEndInvoluntaryContextSwitches=162376
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.64; _readIndexFilesStartUserTime=3.212573; _readIndexFilesStartSystemTime=0.439394; _readIndexFilesStartMaxResidentSetSize=323764; _readIndexFilesStartMinorPageFaults=93257; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.64; _readIndexFilesEndUserTime=3.215775; _readIndexFilesEndSystemTime=0.439422; _readIndexFilesEndMaxResidentSetSize=323764; _readIndexFilesEndMinorPageFaults=93263; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162377
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956924 kB, VmSize: 1956756 kB, VmRSS: 323668 kB, VmData: 408700 kB, Mmaps: 1735, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956924 kB, VmSize: 1956756 kB, VmRSS: 323668 kB, VmData: 408700 kB, Mmaps: 1735, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956924 kB, VmSize: 1956508 kB, VmRSS: 323660 kB, VmData: 408700 kB, Mmaps: 1722, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072399999999995
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+43/meas_extensions_astrometryNet-master-g43362ee2f3+43/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.67; loadPixelBoxStartUserTime=3.239555; loadPixelBoxStartSystemTime=0.445388; loadPixelBoxStartMaxResidentSetSize=323764; loadPixelBoxStartMinorPageFaults=93287; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=112; loadPixelBoxStartVoluntaryContextSwitches=41; loadPixelBoxStartInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.68; loadSkyCircleStartUserTime=3.240206; loadSkyCircleStartSystemTime=0.445388; loadSkyCircleStartMaxResidentSetSize=323764; loadSkyCircleStartMinorPageFaults=93287; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=112; loadSkyCircleStartVoluntaryContextSwitches=41; loadSkyCircleStartInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.68; _readIndexFilesStartUserTime=3.240514; _readIndexFilesStartSystemTime=0.445388; _readIndexFilesStartMaxResidentSetSize=323764; _readIndexFilesStartMinorPageFaults=93287; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.68; _readIndexFilesEndUserTime=3.240674; _readIndexFilesEndSystemTime=0.445405; _readIndexFilesEndMaxResidentSetSize=323764; _readIndexFilesEndMinorPageFaults=93287; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=112; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.68; loadSkyCircleEndUserTime=3.24365; loadSkyCircleEndSystemTime=0.445405; loadSkyCircleEndMaxResidentSetSize=323764; loadSkyCircleEndMinorPageFaults=93492; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=112; loadSkyCircleEndVoluntaryContextSwitches=41; loadSkyCircleEndInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.68; loadPixelBoxEndUserTime=3.249544; loadPixelBoxEndSystemTime=0.445405; loadPixelBoxEndMaxResidentSetSize=323764; loadPixelBoxEndMinorPageFaults=93492; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=112; loadPixelBoxEndVoluntaryContextSwitches=41; loadPixelBoxEndInvoluntaryContextSwitches=162377
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.06; _readIndexFilesStartUserTime=3.627473; _readIndexFilesStartSystemTime=0.449439; _readIndexFilesStartMaxResidentSetSize=323764; _readIndexFilesStartMinorPageFaults=94237; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.08; _readIndexFilesEndUserTime=3.631264; _readIndexFilesEndSystemTime=0.450412; _readIndexFilesEndMaxResidentSetSize=323764; _readIndexFilesEndMinorPageFaults=94245; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162377
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956924 kB, VmSize: 1956880 kB, VmRSS: 323672 kB, VmData: 408700 kB, Mmaps: 1741, Mmaps: 1956880 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956924 kB, VmSize: 1956880 kB, VmRSS: 323672 kB, VmData: 408700 kB, Mmaps: 1741, Mmaps: 1956880 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956924 kB, VmSize: 1956508 kB, VmRSS: 323660 kB, VmData: 408700 kB, Mmaps: 1722, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00075200000000031
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+43/meas_extensions_astrometryNet-master-g43362ee2f3+43/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.1; loadPixelBoxStartUserTime=3.656283; loadPixelBoxStartSystemTime=0.45441299999999996; loadPixelBoxStartMaxResidentSetSize=323768; loadPixelBoxStartMinorPageFaults=94269; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=128; loadPixelBoxStartVoluntaryContextSwitches=41; loadPixelBoxStartInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.1; loadSkyCircleStartUserTime=3.656747; loadSkyCircleStartSystemTime=0.45447099999999996; loadSkyCircleStartMaxResidentSetSize=323768; loadSkyCircleStartMinorPageFaults=94269; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=128; loadSkyCircleStartVoluntaryContextSwitches=41; loadSkyCircleStartInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.1; _readIndexFilesStartUserTime=3.657172; _readIndexFilesStartSystemTime=0.45447099999999996; _readIndexFilesStartMaxResidentSetSize=323768; _readIndexFilesStartMinorPageFaults=94269; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=128; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.1; _readIndexFilesEndUserTime=3.657331; _readIndexFilesEndSystemTime=0.45447099999999996; _readIndexFilesEndMaxResidentSetSize=323768; _readIndexFilesEndMinorPageFaults=94269; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=128; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.11; loadSkyCircleEndUserTime=3.661501; loadSkyCircleEndSystemTime=0.45447099999999996; loadSkyCircleEndMaxResidentSetSize=323768; loadSkyCircleEndMinorPageFaults=94502; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=136; loadSkyCircleEndVoluntaryContextSwitches=41; loadSkyCircleEndInvoluntaryContextSwitches=162377
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.11; loadPixelBoxEndUserTime=3.667332; loadPixelBoxEndSystemTime=0.45447099999999996; loadPixelBoxEndMaxResidentSetSize=323768; loadPixelBoxEndMinorPageFaults=94502; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=136; loadPixelBoxEndVoluntaryContextSwitches=41; loadPixelBoxEndInvoluntaryContextSwitches=162377
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.49; _readIndexFilesStartUserTime=4.038283; _readIndexFilesStartSystemTime=0.46146099999999995; _readIndexFilesStartMaxResidentSetSize=323768; _readIndexFilesStartMinorPageFaults=95247; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=136; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162379
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.5; _readIndexFilesEndUserTime=4.040796; _readIndexFilesEndSystemTime=0.46151899999999996; _readIndexFilesEndMaxResidentSetSize=323768; _readIndexFilesEndMinorPageFaults=95253; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=136; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162379
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1957048 kB, VmSize: 1956748 kB, VmRSS: 323668 kB, VmData: 408700 kB, Mmaps: 1735, Mmaps: 1956748 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1957048 kB, VmSize: 1956748 kB, VmRSS: 323668 kB, VmData: 408700 kB, Mmaps: 1735, Mmaps: 1956748 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1957048 kB, VmSize: 1956508 kB, VmRSS: 323660 kB, VmData: 408700 kB, Mmaps: 1722, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067100000000053
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+43/meas_extensions_astrometryNet-master-g43362ee2f3+43/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.54; loadPixelBoxStartUserTime=4.088101; loadPixelBoxStartSystemTime=0.467439; loadPixelBoxStartMaxResidentSetSize=323768; loadPixelBoxStartMinorPageFaults=97565; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=144; loadPixelBoxStartVoluntaryContextSwitches=41; loadPixelBoxStartInvoluntaryContextSwitches=162379
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.54; loadSkyCircleStartUserTime=4.088624; loadSkyCircleStartSystemTime=0.467499; loadSkyCircleStartMaxResidentSetSize=323768; loadSkyCircleStartMinorPageFaults=97565; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=144; loadSkyCircleStartVoluntaryContextSwitches=41; loadSkyCircleStartInvoluntaryContextSwitches=162379
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.54; _readIndexFilesStartUserTime=4.088624; _readIndexFilesStartSystemTime=0.46843199999999996; _readIndexFilesStartMaxResidentSetSize=323768; _readIndexFilesStartMinorPageFaults=97565; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162379
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.54; _readIndexFilesEndUserTime=4.088624; _readIndexFilesEndSystemTime=0.46843199999999996; _readIndexFilesEndMaxResidentSetSize=323768; _readIndexFilesEndMinorPageFaults=97565; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162379
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.55; loadSkyCircleEndUserTime=4.090053; loadSkyCircleEndSystemTime=0.46943199999999996; loadSkyCircleEndMaxResidentSetSize=323768; loadSkyCircleEndMinorPageFaults=97794; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=152; loadSkyCircleEndVoluntaryContextSwitches=41; loadSkyCircleEndInvoluntaryContextSwitches=162379
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.55; loadPixelBoxEndUserTime=4.09585; loadPixelBoxEndSystemTime=0.469524; loadPixelBoxEndMaxResidentSetSize=323768; loadPixelBoxEndMinorPageFaults=97794; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=152; loadPixelBoxEndVoluntaryContextSwitches=41; loadPixelBoxEndInvoluntaryContextSwitches=162379
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.94; _readIndexFilesStartUserTime=4.476338; _readIndexFilesStartSystemTime=0.475504; _readIndexFilesStartMaxResidentSetSize=323768; _readIndexFilesStartMinorPageFaults=98539; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162379
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.16; _readIndexFilesEndUserTime=4.6554; _readIndexFilesEndSystemTime=0.513492; _readIndexFilesEndMaxResidentSetSize=382444; _readIndexFilesEndMinorPageFaults=113563; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162380
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2039368 kB, VmSize: 2039112 kB, VmRSS: 383516 kB, VmData: 467304 kB, Mmaps: 2928, Mmaps: 2039112 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2039772 kB, VmSize: 2039772 kB, VmRSS: 387732 kB, VmData: 467964 kB, Mmaps: 2928, Mmaps: 2039772 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2039772 kB, VmSize: 2015772 kB, VmRSS: 383008 kB, VmData: 467964 kB, Mmaps: 1723, Mmaps: 2015772 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0093750000000004
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+43/meas_extensions_astrometryNet-master-g43362ee2f3+43/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.25; loadPixelBoxStartUserTime=4.734131; loadPixelBoxStartSystemTime=0.5284559999999999; loadPixelBoxStartMaxResidentSetSize=388264; loadPixelBoxStartMinorPageFaults=115059; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=168; loadPixelBoxStartVoluntaryContextSwitches=41; loadPixelBoxStartInvoluntaryContextSwitches=162382
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.25; loadSkyCircleStartUserTime=4.734678; loadSkyCircleStartSystemTime=0.528517; loadSkyCircleStartMaxResidentSetSize=388264; loadSkyCircleStartMinorPageFaults=115059; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=168; loadSkyCircleStartVoluntaryContextSwitches=41; loadSkyCircleStartInvoluntaryContextSwitches=162382
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.25; _readIndexFilesStartUserTime=4.735098; _readIndexFilesStartSystemTime=0.528517; _readIndexFilesStartMaxResidentSetSize=388264; _readIndexFilesStartMinorPageFaults=115059; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=41; _readIndexFilesStartInvoluntaryContextSwitches=162382
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.25; _readIndexFilesEndUserTime=4.735264; _readIndexFilesEndSystemTime=0.528517; _readIndexFilesEndMaxResidentSetSize=388264; _readIndexFilesEndMinorPageFaults=115059; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=41; _readIndexFilesEndInvoluntaryContextSwitches=162382
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.37; loadSkyCircleEndUserTime=4.840605; loadSkyCircleEndSystemTime=0.5345139999999999; loadSkyCircleEndMaxResidentSetSize=388264; loadSkyCircleEndMinorPageFaults=118357; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=168; loadSkyCircleEndVoluntaryContextSwitches=41; loadSkyCircleEndInvoluntaryContextSwitches=162382
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.38; loadPixelBoxEndUserTime=4.855803; loadPixelBoxEndSystemTime=0.534538; loadPixelBoxEndMaxResidentSetSize=388264; loadPixelBoxEndMinorPageFaults=118357; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=168; loadPixelBoxEndVoluntaryContextSwitches=41; loadPixelBoxEndInvoluntaryContextSwitches=162382
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.583s

OK
Mem0: Memory usage:
max rss: [0.323768, 'MB'] MB
VmPeak 1957048 kB
VmSize 1956504 kB
VmRSS 323660 kB
VmData 408696 kB
VmStk 168 kB
Number of mmaps: 1722
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.382444, 'MB'] MB
VmPeak 2038192 kB
VmSize 2038192 kB
VmRSS 382444 kB
VmData 466384 kB
VmStk 168 kB
Number of mmaps: 2927
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.388264, 'MB'] MB
VmPeak 2039772 kB
VmSize 2015516 kB
VmRSS 382752 kB
VmData 467708 kB
VmStk 168 kB
Number of mmaps: 1723
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.388264, 'MB'] MB
VmPeak 2039772 kB
VmSize 2015516 kB
VmRSS 382752 kB
VmData 467708 kB
VmStk 168 kB
Number of mmaps: 1723
None
FD3: 5
